Mp_row1: &Mp_row1 [6.682672186960001e+06, 0.000000000000000e+00, 0.000000000000000e+00, 0.000000000000000e+00, 2.004801656088000e+06, 6.682672186960001e+05]
Mp_row2: &Mp_row2 [0.000000000000000e+00,  6.682672186960001e+06,  0.000000000000000e+00, -2.004801656088000e+06,  0.000000000000000e+00,  1.336534437392000e+06]
Mp_row3: &Mp_row3 [0.000000000000000e+00,  0.000000000000000e+00,  6.682672186960001e+06, -6.682672186960001e+05, -1.336534437392000e+06,  0.000000000000000e+00]
Mp_row4: &Mp_row4 [0.000000000000000e+00, -2.004801656088000e+06, -6.682672186960001e+05,  5.909986951515785e+07,  0.000000000000000e+00, -1.201461059466515e+08]
Mp_row5: &Mp_row5 [2.004801656088000e+06,  0.000000000000000e+00, -1.336534437392000e+06,  0.000000000000000e+00,  3.526780808568602e+09,  0.000000000000000e+00]
Mp_row6: &Mp_row6 [6.682672186960001e+05,  1.336534437392000e+06,  0.000000000000000e+00, -1.201461059466515e+08,  0.000000000000000e+00,  3.980068037084129e+09]
Ma_row1: &Ma_row1 [3.037578266800000e+05, 0.000000000000000e+00, 6.075156533600000e+04, 0.000000000000000e+00, 1.208227131402368e+07, 0.000000000000000e+00]
Ma_row2: &Ma_row2 [0.000000000000000e+00, 6.888368481968548e+06, 0.000000000000000e+00, 5.457380718474786e+06, 0.000000000000000e+00, 1.064889105668448e+07]
Ma_row3: &Ma_row3 [6.075156533600000e+04,  0.000000000000000e+00,  5.340653098249466e+06,  0.000000000000000e+00, -1.208227131402368e+06,  0.000000000000000e+00]
Ma_row4: &Ma_row4 [0.000000000000000e+00, 5.457380718474786e+06, 0.000000000000000e+00, 3.410347217295702e+07, 0.000000000000000e+00, 8.076821972263645e+07]
Ma_row5: &Ma_row5 [1.208227131402368e+07,  0.000000000000000e+00, -1.208227131402368e+06,  0.000000000000000e+00,  3.320814339144257e+09,  0.000000000000000e+00]
Ma_row6: &Ma_row6 [0.000000000000000e+00, 1.064889105668448e+07, 0.000000000000000e+00, 8.076821972263645e+07, 0.000000000000000e+00, 3.880647134413274e+09]


rotations convention: [psi, theta', phi'']
environmental constants:
    g: {value: 9.81, unit: m/s^2}
    rho: {value: 1025, unit: kg/m^3}
    nu: {value: 1.18e-6, unit: m^2/s}

environment models:
  - model: waves
    discretization:
       n: 64
       omega min: {value: 0.1, unit: rad/s}
       omega max: {value: 6, unit: rad/s}
       energy fraction: 0.999
    spectra:
      - model: airy
        depth: {value: 1, unit: m}
        seed of the random data generator: 0
        stretching:
           delta: 1
           h: {unit: m, value: 0}
        directional spreading:
           type: dirac
           waves propagating to: {value: 90, unit: deg}
        spectral density:
            type: bretschneider
            Hs: {value: 7.5, unit: m}
            Tp: {value: 15, unit: s}
# Fixed frame: NED
bodies: # All bodies have NED as parent frame
  - name: TestBody
    position of body frame relative to mesh:
        frame: mesh
        x: {value: 0, unit: m}
        y: {value: 0, unit: m}
        z: {value: 0, unit: m}
        phi: {value: 0, unit: rad}
        theta: {value: 0, unit: rad}
        psi: {value: 0, unit: rad}
    initial position of body frame relative to NED:
        frame: NED
        x: {value: 0, unit: m}
        y: {value: 0, unit: m}
        z: {value: 50, unit: m}
        phi:    {value: 0, unit: deg}
        theta:  {value: 0, unit: deg}
        psi:    {value: 0, unit: deg}
    initial velocity of body frame relative to NED:
        frame: TestBody
        u: {value: 2.0, unit: m/s} #avoid having null speed at start (divergence occurs)
        v: {value: 0.1, unit: m/s}
        w: {value: 0.2, unit: m/s}
        p: {value: 0.01, unit: rad/s}
        q: {value: 0.02, unit: rad/s}
        r: {value: 0.03, unit: rad/s}
    dynamics:
        hydrodynamic forces calculation point in body frame:
            x: {value: 0, unit: m}
            y: {value: 0, unit: m}
            z: {value: 0, unit: m}
        centre of inertia:
            frame: TestBody
            x: {value: 0, unit: m}
            y: {value: 0, unit: m}
            z: {value: 0, unit: m}
        mass: {value: 1, unit: kg} # Caution: 'ton' is the british ton which is 907.185 kg
        rigid body inertia matrix at the center of gravity and projected in the body frame:
            frame: TestBody
            row 1: *Mp_row1
            row 2: *Mp_row2
            row 3: *Mp_row3
            row 4: *Mp_row4
            row 5: *Mp_row5
            row 6: *Mp_row6
        added mass matrix at the center of gravity and projected in the body frame:
            frame: TestBody
            row 1: *Ma_row1
            row 2: *Ma_row2
            row 3: *Ma_row3
            row 4: *Ma_row4
            row 5: *Ma_row5
            row 6: *Ma_row6
    external forces:
    # gravity is already included in hydrostatic maneuvring model
    controlled forces:
      - name: test-model
        model: grpc
        url: force-model:9002
